# Update

## Update Knowledge base

<mark style="color:orange;">`PUT`</mark> `https://{{account_id}}.acquire.io/api/v1/kb/group/update/{{id}}`

This endpoint allows you to update details for a Knowledge Base group. The id must be passed in to the endpoint as a path parameter.

#### Path Parameters

| Name | Type    | Description       |
| ---- | ------- | ----------------- |
| id   | integer | Knowledge Base ID |

#### Headers

| Name          | Type   | Description         |
| ------------- | ------ | ------------------- |
| Authorization | string | Bearer {{API\_key}} |

#### Request Body

| Name         | Type   | Description                                                        |
| ------------ | ------ | ------------------------------------------------------------------ |
| name         | string | The name of the Knowledge Base                                     |
| customDomain | string | The URL for the custom domain the Knowledge Base will be hosted on |
| language     | string | The ISO language code the Knowledge Base will be written in        |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "data": {
    "success": true,
    "message": "Knowledge base updated successfully.",
    "data": {
      "id": 4,
      "name": "Acquire's Customized KB Articles",
      "isDefault": "no",
      "slugKey": "kb-custom-group-acquire",
      "createdBy": 28,
      "updatedBy": 28,
      "status": "draft",
      "internalApp": "no",
      "widgetApp": "no",
      "dateCreated": "2021-04-06T09:27:15.000Z",
      "dateUpdated": "2021-04-06T09:32:38.203Z",
      "scrapingToken": null
    }
  }
}
```

{% endtab %}
{% endtabs %}

### Body (row)

```javascript
{
  "name": "Acquire's Customized KB Articles",
  "customDomain": "custom-articles.acquire.io",
  "language": "en"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/rest-apis/knowledgebase/groups/update.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
